{% extends 'mainBase.html' %}

{% block head %}
{% load cartCount %}


      <script>
      	$( document ).ready(function(){
      		  $(".button-collapse").sideNav();
      		      		
      	
      		 /**RANGE LSIDER**/
      	var rangeSlider = document.getElementById('slider-range');

		noUiSlider.create(rangeSlider, {
			start: [1],
			step:1,
			connect: "lower",
			range: {
				'min': [1],
				'max': [ 100]
			},
			format:wNumb({
				decimals:0,
			})
			
		});
		
		var rangeSliderValueElement = document.getElementById('slider-range-value');

		rangeSlider.noUiSlider.on('update', function( values, handle ) {
			rangeSliderValueElement.innerHTML = values[handle];
		});
      
      	});

      	
      
      </script>
      {% endblock %}
{% block body %}

<body style="background-color:#eceff1;">
  	{% include 'navbar.html' %}

	<main>
		<div style="margin-top: 10px;margin-left: 40px;margin-right: 40px;margin-bottom: 0px !important;">
			
			<div class="row">
				<div class="col s12">
					<h4 style="color: rgb(243,101,35)" class="f500">Cart</h4>
				</div>
			</div>

			<div class="row">
			<!--ORDER ITEMS-->	
				<div class="col s12 m8 l9 white" style="border-bottom: 5px solid rgba(255,202,8,1)"> 
					
					<div class="row">

					    <div class="col s12 f400">
					      <ul class="tabs swipeable">
					        <li class="tab col s6" style="border-right: 2px solid #e0e0e0"><a class="active cart_tab" href="#test1">Rentals</a></li>
					        <li class="tab col s6"><a href="#test2" class="cart_tab">Buy</a></li>
					      </ul>
					    </div>

					    <div id="test1" class="col s12">
					     {% if   numOfRentedBooks %}
	 
					    	<div class="hide-on-med-and-down">
						    		<!--ITEM 1-->	
						    	<br><br>
						    {% for i,img,amount in rentitems %}

						    	<div class="row">
						    	<!--S.No.-->	
						    		<div class="col l1">
						    			<span>{{ forloop.counter }}.</span>
						    		</div>
						    	<!--BOOK COVER-->	
						    		<div class="col l2 center">
						    			<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img" width ="70%">
						    		</div>
						    	<!--BOOK DETAILS-->	
						    		<div class="col l4">
						    			<span class="book_title f400">
						    				{{ i.book.title }}
						    			</span>
						    				<br>
						    			<span>
						    				{{ i.book.author }}
						    			</span>
						    				<br>
						    			<span>
						    			  {{ i.book.type }}
						    			</span>
						    			<br>
						    			<img src="images/{{i.book.rating}}star.PNG" class="responsive-img" style="height: 20px">
						    		</div>
						    	
						    	<!--MRP-->
						    		<div class="col l1">
						    			<span>
						    				MRP<br>
						    				{{i.book.cost}}
						    			</span>
						    		</div>
						    	<!--ACTUAL PRICE-->
						    		<div class="col l2">
						    			<span class="right">Rental Security<br>$100</span>
						    		</div>	

						    		
						    	<!--DELeTE-->
						    		<div class="col l1 right">
						    			<a href="{{i.pk}}/removeFromRentalCart"><button class="delete"><i class="material-icons">close</i></button></a>
						    		</div>
						    	</div>	
						    <!--ITEM 1 ENDS-->
						     <!--ITEM 2-->	
						    	<br>

						    <!--ITEM 2 ENDS-->

						     {% endfor %}
					    	</div>
					    	
					    	<div class="hide-on-large-only">
					    					 <!--ITEM 1-->	
						    	<br><br>
						    	<div class="row">
						    							    {% for i,img,amount in rentitems %}

						    	<!--S.No.-->	
						    		<div class="col s2 m2"  style="padding-top: 10px">
						    			<span>{{ forloop.counter }}.</span>
						    		</div>
						    	<!--BOOK COVER-->	
						    		<div class="col s8 m8 center"  style="padding-top: 10px">
						    			<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img" width ="70%">
						    		</div>
						    	<!--DELeTE-->
						    		<div class="col s2 m2 center"  style="padding-top: 10px">
						    			<a href="{{i.pk}}/removeFromRentalCart"><button class="delete"><i class="material-icons">close</i></button></a>
						    		</div>	
						    	<!--BOOK DETAILS-->	
						    		<div class="col s12 m12"  style="padding-top: 10px">
						    			<span class="f400">
						    				{{i.book.title}}<br>
						    				Rental Security:100
						    			</span>
						    			
						    		</div>
						    		<br>
						    		<div class="col s12 m12 left" style="padding-top: 10px;">
						    			<!--MORE DETAILS-->
						    		<ul class="collapsible" data-collapsible="accordion">
									    <li>
									      <div class="collapsible-header center">More Information</div>
									      <div class="collapsible-body">
									      	<span>
									      		Author:{{i.book.author}}<br>
									      		{{i.book.type}}<br>
									      		<img src="images/3star.png" class="responsive-img" style="height: 20px">
									      		<br>
									      		MRP:{{i.book.cost}}<br><br>
									      		
									      	</span>
									      </div>
									    </li>
									    
									 </ul>
						    		</div>
						    	
	        			    						    	
						    <!--ITEM 1 ENDS-->	
						    	<hr>
						    <!--ITEM 2 STARTs-->
						    	<br><br>
						    		

					    	{% endfor %}
						    	</div>	

					    	</div>
					    	<hr>
					    	<!--details-->
						    	<div class="row" style="margin-top: 20px">
						    		<div class="col s12 m12 l4 ">

						    			<span style="float: left;">
						    				Rental Duration: &nbsp;&nbsp;
						    			</span>
						    			<div id="slider-range-value" style="float: left;">
						    					
						    			</div>
						    			<span>&nbsp;&nbsp;days</span>
						    			<br><br>
						    			<div id="slider-range">
						    					
						    			</div>
						    			<br>
						    				
						   					
						    				
						    		</div>
						    		<div class="col s12 l4 offset-l4">

						    			<span style="font-size: 20px">
						    				Subtotal:{{rentCost}}
						   					<br>
						   					<br>
						   				</span>
						   								
						    			
						    		</div>
						    	</div>
						    	<div class="row">
						    		<div class="col s12 m12 l4">
						    			<span style="font-size: 15px" class="f500">
						   						Expected date of delivery:</span>
						   					
						   					<br>
						   					<span style="font-size: 15px" class="f500">
						   						Return date:
						   					</span>	
						    		</div>
						    		<div class="col s12 m12 l4 offset-l4">
						    			<span style="float: right;">*You can apply coupons during <b>CHECKOUT</b></span>
						    		</div>
						    	</div>	
						    	<br>
						    
						    {% else %}
						    <span>No Items</span>
						    {%endif %}
					    </div>




					<!--BUY-->    
					    <div id="test2" class="col s12">

					    	<div class="hide-on-med-and-down">
						    		 <!--ITEM 1-->							    							    							    {% for i,img,amount in items %}

						    	<br><br>

						    	<div class="row">
						    	<!--S.No.-->
	
						    		<div class="col l1"  style="padding-top: 10px">
						    			<span>{{ forloop.counter }}.</span>
						    		</div>
						    	<!--BOOK COVER-->	
						    		<div class="col l2 center"  style="padding-top: 10px">
						    			<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img" width ="70%">
						    		</div>
						    	<!--BOOK DETAILS-->	
						    		<div class="col l3"  style="padding-top: 10px;">
						    			<span class="book_title f400">
{{i.book.title}}						    			</span>
						    				<br>
						    			<span>
{{i.book.author}}						    			</span>
						    				<br>
						    			<span>
{{i.book.type}}						    			</span>
						    			<br>
						    			<img src="/static/images/3star.PNG" class="responsive-img" style="height: 20px">
						    		</div>
						    	
						    	<!--MRP-->
						    		<div class="col l1 center"  style="padding-top: 10px">
						    			<span>
						    				MRP<br><br>
						    				{{i.book.cost}}
						    			</span>
						    		</div>
						    	<!--ACTUAL PRICE-->
						    		<div class="col l1 center"  style="padding-top: 10px">
						    			<span>Actual Price<br>${{amount}}</span>
						    		</div>	

						    		<!--QUANTITY-->
						    		<div class="col l3 center" style="padding-top: 10px !important;">
						    			<form>
										  <div class="value-button" id="decrease" onclick="decreaseValue()" value="Decrease Value">-</div>
										  <input type="number" id="number" value="{{i.qty}}" />
										  <div class="value-button" id="increase" onclick="increaseValue()" value="Increase Value">+</div>
										</form>
						    		</div>
						    		

						    	<!--DELeTE-->
						    		<div class="col l1 center"  style="padding-top: 10px">
						    			<a href="{{i.pk}}/removeFromBookCart"><button class="delete"><i class="material-icons">close</i></button></a>
						    		</div>
						    	</div>	
						    <!--ITEM 1 ENDS-->
						    <!--ITEM 2 STARTS-->
						    	<hr />
						    		{% endfor %}
						    <!--ITEM 2 END-->
						        {% for i,img,amount in series %}

						    	<br><br>

						    	<div class="row">
						    	<!--S.No.-->
	
						    		<div class="col l1"  style="padding-top: 10px">
						    		</div>
						    	<!--BOOK COVER-->	
						    		<div class="col l2 center"  style="padding-top: 10px">
						    			<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img" width ="70%">
						    		</div>
						    	<!--BOOK DETAILS-->	
						    		<div class="col l3"  style="padding-top: 10px;">
						    			<span class="book_title f400">
{{i.book.seriesName}}						    			</span>
						    				<br>
						    			<span>
{{i.book.seriesAuthor}}						    			</span>
						    				<br>
						    			
						    			<img src="/static/images/3star.PNG" class="responsive-img" style="height: 20px">
						    		</div>
						    	
						    	<!--MRP-->
						    		<div class="col l1 center"  style="padding-top: 10px">
						    			<span>
						    				MRP<br><br>
						    				{{i.book.cost}}
						    			</span>
						    		</div>
						    	<!--ACTUAL PRICE-->
						    		<div class="col l1 center"  style="padding-top: 10px">
						    			<span>Actual Price<br>${{amount}}</span>
						    		</div>	

						    		<!--QUANTITY-->
						    		<div class="col l3 center" style="padding-top: 10px !important;">
						    			<form>
										  <div class="value-button" id="decrease" onclick="decreaseValue()" value="Decrease Value">-</div>
										  <input type="number" id="number" value="{{i.qty}}" />
										  <div class="value-button" id="increase" onclick="increaseValue()" value="Increase Value">+</div>
										</form>
						    		</div>
						    		

						    	<!--DELeTE-->
						    		<div class="col l1 center"  style="padding-top: 10px">
						    			<a href="{{i.pk}}/removeFromSeriesCart"><button class="delete"><i class="material-icons">close</i></button></a>
						    		</div>
						    	</div>	
						    <!--ITEM 1 ENDS-->
						    <!--ITEM 2 STARTS-->
						    	<hr />
						    		{% endfor %}
						    <!--ITEM 2 END-->


						   	</div>

					    	<div class="hide-on-large-only">
						    			 <!--ITEM 1-->	
						    	<br><br>
						    	<div class="row">
						    	<!--S.No.-->	
						    							    							    {% for i,img,amount in items %}

						    		<div class="col s2 m2"  style="padding-top: 10px">
						    			<span>{{ forloop.counter }}.</span>
						    		</div>
						    	<!--BOOK COVER-->	
						    		<div class="col s8 m8 center"  style="padding-top: 10px">
						    			<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img" width ="70%">
						    		</div>
						    	<!--DELeTE-->
						    		<div class="col s2 m2 center"  style="padding-top: 10px">
						    			<a href="{{i.pk}}/removeFromBookCart"><button class="delete"><i class="material-icons">close</i></button></a>
						    		</div>	
						    	<!--BOOK DETAILS-->	
						    		<div class="col s12 m12"  style="padding-top: 10px">
						    			<span class="f400">
						    				{{i.book.title}}<br>
						    				MRP:{{i.book.cost}}
						    			</span>
						    			
						    		</div>
						    		<br>
						    		<div class="col s12 m12 left" style="padding-top: 10px;">
						    			<!--MORE DETAILS-->
						    		<ul class="collapsible" data-collapsible="accordion">
									    <li>
									      <div class="collapsible-header center">More Information</div>
									      <div class="collapsible-body">
									      	<span>
									      		Author:{{i.book.author}}	<br>
									      		{{i.book.bookType}}<br>
									      		<img src="images/3star.png" class="responsive-img" style="height: 20px">
									      		<br>
									      		Actual Price:{{amount}}<br><br>
									      		<div class="row">
									      			<!--QUANTITY-->
										    		<div class="col l3 center">
										    			<form>
														  <div class="value-button" id="decrease" onclick="decreaseValue()" value="Decrease Value">-</div>
														  <input type="number" id="number" value="{{i.qty}}" />
														  <div class="value-button" id="increase" onclick="increaseValue()" value="Increase Value">+</div>
														</form>
										    		</div>
									      		</div>
									      	</span>
									      </div>
									    </li>
									    
									 </ul>
						    		</div>
						    	
	        			    		{% endfor %}
	        			    									    							    {% for i,img,amount in series %}

						    		<div class="col s2 m2"  style="padding-top: 10px">
						    			<span>{{ forloop.counter }}.</span>
						    		</div>
						    	<!--BOOK COVER-->	
						    		<div class="col s8 m8 center"  style="padding-top: 10px">
						    			<img src="http://abboniss.com/litwit/{{ img }}" class="responsive-img" width ="70%">
						    		</div>
						    	<!--DELeTE-->
						    		<div class="col s2 m2 center"  style="padding-top: 10px">
						    			<a href="{{i.pk}}/removeFromSeriesCart"><button class="delete"><i class="material-icons">close</i></button></a>
						    		</div>	
						    	<!--BOOK DETAILS-->	
						    		<div class="col s12 m12"  style="padding-top: 10px">
						    			<span class="f400">
						    				{{i.book.seriesName}}<br>
						    				MRP:{{i.book.cost}}
						    			</span>
						    			
						    		</div>
						    		<br>
						    		<div class="col s12 m12 left" style="padding-top: 10px;">
						    			<!--MORE DETAILS-->
						    		<ul class="collapsible" data-collapsible="accordion">
									    <li>
									      <div class="collapsible-header center">More Information</div>
									      <div class="collapsible-body">
									      	<span>
									      		Author:{{i.book.seriesAuthor}}	<br>
									      		<img src="/static/images/3star.PNG" class="responsive-img" style="height: 20px">
									      		<br>
									      		Actual Price:{{amount}}<br><br>
									      		<div class="row">
									      			<!--QUANTITY-->
										    		<div class="col l3 center">
										    			<form>
														  <div class="value-button" id="decrease" onclick="decreaseValue()" value="Decrease Value">-</div>
														  <input type="number" id="number" value="{{i.qty}}" />
														  <div class="value-button" id="increase" onclick="increaseValue()" value="Increase Value">+</div>
														</form>
										    		</div>
									      		</div>
									      	</span>
									      </div>
									    </li>
									    
									 </ul>
						    		</div>
						    	
	        			    		{% endfor %}				    	
						    				    	
						    <!--ITEM 1 ENDS-->	
						    <!--ITEM 2 STARTs-->
						    	<!--S.No.-->	
						    
						    	</div>	

						    	
					    	</div>
					   		 <!--SUBTOTAL-->
					   		 
						    	<div class="row" style="margin-top: 20px">
						    		<div class="s12 m12 right">
						    			<span style="font-size: 20px">
						    				Subtotal:{{buyCost}}
						   					<br>
						   					You Save:${{saveAmount}}				
						    			</span>
						    		</div>
						    	</div>	
						    	 <!--COUPONS NOTICE-->
						    	<div class="row" style="margin-bottom: 0px">
						    		<div class="col s12 m12 right">
						    			<span class="right">*You can apply coupons during CHECKOUT</span>
						    		</div>
						    	</div>	
					    </div>
					   
					</div>
				</div>


			<!--ORDER SUMMARY-->	
				<div class="col s12 m4 l3">
					<div class="row white" id="order_summary"  style="border-bottom: 5px solid #0d47a1">
						<div col s12>
							<br><br>
							<span class="f400">
								Subtotal(rental):{{rentCost}}
								<br>
								Subtotal(buy):{{buyCost}}
								<br><br>
								Delivery Charges:
								<br><br>
								Total:{{totalAmount}}
								<br>
								Expected Delivery:
								<br><br>
							</span>
						</div>
					</div>

					<div class="row">
						<div class="col s12">
							
							<a class="waves-effect waves-light btn white-text right z-depth-4" href="/litwit/address/" style="background-color: rgb(9,190,243);">CHECKOUT</a>
		
						</div>
					</div>
				</div>
			</div>
			
		</div>
		<script>
			$(".value-button").on("click", function() {

				  var $button = $(this);
				  var oldValue = $button.parent().find("input").val();

				  if ($button.text() == "+") {
					  var newVal = parseFloat(oldValue) + 1;
					} else {
				   // Don't allow decrementing below zero
				    if (oldValue > 0) {
				      var newVal = parseFloat(oldValue) - 1;
				    } else {
				      newVal = 0;
				    }
				  }

				  $button.parent().find("input").val(newVal);

				});
		</script>

		
	</main>
</body>
{% endblock %}

